Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 376007 (curl-7.21.7) - [tracker] net-misc/curl-7.21.7 breaks multiple packages due to missing curl/types.h being removed
Summary: [tracker] net-misc/curl-7.21.7 breaks multiple packages due to missing curl/t...
Status: RESOLVED FIXED
Alias: curl-7.21.7
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Anthony Basile
URL: https://github.com/bagder/curl/commit...
Whiteboard:
Keywords: Tracker
Depends on: 375899 376001 376009 376025 376049 376073 376077 376079 376081 376089 376101 376109 376111 376133 376135 376137 376141 376143 376145 376191 376215 376217 376227 376229 376233 376833 377075 378035 378055 383217 383719 386889
Blocks:
  Show dependency tree
 
Reported: 2011-07-22 14:53 UTC by Sander Sweers
Modified: 2012-08-01 19:36 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
here is the faillog (ff_log.bz2,196.46 KB, application/octet-stream)
2011-07-22 17:09 UTC, Ivan Dives
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sander Sweers 2011-07-22 14:53:05 UTC
curl/types.h got removed in this release. It was empty for a long time (since 2004) but is still included in at least 2 packages.

media-libs/raptor (bug 376001)
media-libs/libofa
Comment 1 Ivan Dives 2011-07-22 17:09:04 UTC
Created attachment 280639 [details]
here is the faillog

+ www-client/firefox-5.0-r2 (and btw, shouldn't the ebuild know that firefox's ./configure probes the system for curl?)
Comment 2 Sander Sweers 2011-07-22 17:29:44 UTC
(In reply to comment #1)
> + www-client/firefox-5.0-r2 (and btw, shouldn't the ebuild know that firefox's
> ./configure probes the system for curl?)

Could you open a separate bug please? I am looking at the fix and will comment on the new bug. Please make it block this bug. Thx
Comment 3 Miguel Revilla Rodríguez 2011-07-23 09:39:16 UTC
tangogps and foxtrotgps are also looking for it.
Comment 4 Cyril 2011-07-24 07:24:50 UTC
gimp is also looking for it.

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../..  -pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore   -I/usr/include  -DGIMP_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE  -O2 -march=native -pipe -fomit-frame-pointer -floop-interchange -floop-strip-mine -floop-block -Wall -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -Winit-self -Wpointer-arith -Wold-style-definition -MT uri-backend-libcurl.o -MD -MP -MF .deps/uri-backend-libcurl.Tpo -c -o uri-backend-libcurl.o uri-backend-libcurl.c
uri-backend-libcurl.c:27:24: erreur fatale: curl/types.h : Aucun fichier ou dossier de ce type
Comment 5 Christoph Mende (RETIRED) gentoo-dev 2011-07-24 08:48:31 UTC
To both of you, Miguel and Cyril, and anyone else who thinks about posting to this bug: This is a tracker, that means _no_ reports at all in this bug.
Please file a new bug instead and make it block this one. It's impossible to track failures and fixes in just one bug.
Comment 6 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-07-24 21:36:52 UTC
Curl maintainers, please either pmask >=curl-7.21.7 or readd types.h in curl-7.21.7-r3. This update broke too much stuff all over the tree.
Comment 7 Christoph Mende (RETIRED) gentoo-dev 2011-07-25 06:05:13 UTC
The fix is simple, everyone not fixing this in <24h is just lazy. Also, .7 is a security bump.
Comment 8 Anthony Basile gentoo-dev 2012-03-23 23:28:00 UTC
(In reply to comment #7)
> The fix is simple, everyone not fixing this in <24h is just lazy. Also, .7
> is a security bump.

@Christoph.  This bug looks like its resolved.  Should it be closed?  (Trying to pick up from where you left off here)
Comment 9 Christoph Mende (RETIRED) gentoo-dev 2012-08-01 19:36:16 UTC
Sorry, missed your comment. Guess this can be closed, yeah.